com.lowagie.text

## Class ImgWMF

- java.lang.Object
- - com.lowagie.text.Rectangle
  - - com.lowagie.text.Image
    - - com.lowagie.text.ImgWMF

- All Implemented Interfaces:
    Element

      public class ImgWMF
      extends Image

  An `ImgWMF` is the representation of a windows metafile that has to be inserted into the document
  See Also:
    `Element`, `Image`

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.Image

      `absoluteX, absoluteY, alignment, alt, annotation, AX, AY, bpc, BX, BY, colorspace, compressionLevel, CX, CY, DEFAULT, deflated, dpiX, dpiY, DX, DY, imageMask, indentationLeft, indentationRight, interpolation, invert, layer, LEFT, mask, MIDDLE, mySerialId, ORIGINAL_BMP, ORIGINAL_GIF, ORIGINAL_JBIG2, ORIGINAL_JPEG, ORIGINAL_JPEG2000, ORIGINAL_NONE, ORIGINAL_PNG, ORIGINAL_PS, ORIGINAL_TIFF, ORIGINAL_WMF, originalData, originalType, plainHeight, plainWidth, profile, rawData, RIGHT, rotationRadians, scaledHeight, scaledWidth, serialId, spacingAfter, spacingBefore, template, TEXTWRAP, transparency, type, UNDERLYING, url`

    - ### Fields inherited from class com.lowagie.text.Rectangle

      `backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, llx, lly, NO_BORDER, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImgWMF(byte[] img)` Constructs an `ImgWMF`-object from memory.
    `ImgWMF(Image image)`
    `ImgWMF(java.lang.String filename)` Constructs an `ImgWMF`-object, using a filename.
    `ImgWMF(java.net.URL url)` Constructs an `ImgWMF`-object, using an url.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `processParameters()` This method checks if the image is a valid WMF and processes some parameters.
    `void` | `readWMF(PdfTemplate template)` Reads the WMF into a template.

    - ### Methods inherited from class com.lowagie.text.Image

      `getAbsoluteX, getAbsoluteY, getAdditional, getAlignment, getAlt, getAnnotation, getBpc, getColorspace, getCompressionLevel, getDirectReference, getDpiX, getDpiY, getICCProfile, getImageMask, getImageRotation, getIndentationLeft, getIndentationRight, getInitialRotation, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLayer, getMySerialId, getOriginalData, getOriginalType, getPlainHeight, getPlainWidth, getRawData, getScaledHeight, getScaledWidth, getSerialId, getSpacingAfter, getSpacingBefore, getTemplateData, getTransparency, getUrl, getWidthPercentage, getXYRatio, hasAbsoluteX, hasAbsoluteY, hasICCProfile, isDeflated, isImgRaw, isImgTemplate, isInterpolation, isInverted, isJpeg, isMask, isMaskCandidate, isNestable, isSmask, makeMask, matrix, scaleAbsolute, scaleAbsoluteHeight, scaleAbsoluteWidth, scalePercent, scalePercent, scaleToFit, setAbsolutePosition, setAdditional, setAlignment, setAlt, setAnnotation, setCompressionLevel, setDeflated, setDirectReference, setDpi, setImageMask, setIndentationLeft, setIndentationRight, setInitialRotation, setInterpolation, setInverted, setLayer, setOriginalData, setOriginalType, setRotation, setRotationDegrees, setSmask, setSpacingAfter, setSpacingBefore, setTemplateData, setTransparency, setUrl, setWidthPercentage, setXYRatio, simplifyColorspace, tagICC, type`

    - ### Methods inherited from class com.lowagie.text.Rectangle

      `cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, hasBorder, hasBorders, isContent, isUseVariableBorders, normalize, process, rectangle, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImgWMF

          ImgWMF(Image image)

    - #### ImgWMF

          public ImgWMF(java.net.URL url)
                 throws BadElementException,
                        java.io.IOException

      Constructs an `ImgWMF`-object, using an url.
      Parameters:
        `url` - the `URL` where the image can be found
      Throws:
        `BadElementException` - on error
        `java.io.IOException` - on error

    - #### ImgWMF

          public ImgWMF(java.lang.String filename)
                 throws BadElementException,
                        java.net.MalformedURLException,
                        java.io.IOException

      Constructs an `ImgWMF`-object, using a filename.
      Parameters:
        `filename` - a `String`-representation of the file that contains the image.
      Throws:
        `BadElementException` - on error
        `java.net.MalformedURLException` - on error
        `java.io.IOException` - on error

    - #### ImgWMF

          public ImgWMF(byte[] img)
                 throws BadElementException,
                        java.io.IOException

      Constructs an `ImgWMF`-object from memory.
      Parameters:
        `img` - the memory image
      Throws:
        `BadElementException` - on error
        `java.io.IOException` - on error

  - ### Method Detail

    - #### processParameters

          private void processParameters()
                                  throws BadElementException,
                                         java.io.IOException

      This method checks if the image is a valid WMF and processes some parameters.
      Throws:
        `BadElementException`
        `java.io.IOException`

    - #### readWMF

          public void readWMF(PdfTemplate template)
                       throws java.io.IOException,
                              DocumentException

      Reads the WMF into a template.
      Parameters:
        `template` - the template to read to
      Throws:
        `java.io.IOException` - on error
        `DocumentException` - on error